unit uCombat;

{$mode objfpc}{$H+}
{$codepage UTF8}

interface

uses
  crt, uVar, sysutils;

procedure Draw_Combat_Message();
procedure Draw_Combat_Variant();
procedure Process_Combat(_key: string);

implementation

procedure Draw_Combat_Message();
var i : integer;
    s : string;
begin
  textColor(Red);
  writeln(' ****** ВЫ НАХОДИТЕСЬ В СОСТОЯНИИ БОЯ ******** ');
  i := random(3);
  if combatRound = 1 then
  begin
     case i of
       2: s := 'Очередной акт бессмысленного насилия начинается.';
       3: s := 'Ну ничему жизнь не учит... бой начался.';
     else
       s := 'Дело пахнет дракой!';
     end;
     textColor(White);
     Writeln(s);

     if heroIni > enemyIni then
        s := 'Вы знали, что в драке всегда нужно бить первым'
     else
        s := 'Противник застал Вас в расплох!';
     textColor(White);
     Writeln(s);
  end;

  i := random(5);
  case i of
    2 : s := format('Мощным хуком справа противник наносит вам %d урона', [enemyDmg]);
  else
    s := format('Противник пинает Вас по коленке и наносит %d урона', [enemyDmg]);
  end;
  Writeln(S);
end;

procedure Draw_Combat_Variant();
begin

end;

procedure Process_Combat(_key: string);
begin

end;

end.

